Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.core.di
Class EMFFormsContextProviderImpl

    java.lang.Object
      org.eclipse.emfforms.internal.swt.core.di.EMFFormsContextProviderImpl

All Implemented Interfaces:
  ViewModelService, EMFFormsContextProvider

    public class EMFFormsContextProviderImpl

extends Object
implements EMFFormsContextProvider

Basic implementation of `EMFFormsContextProvider`.

Author:
  Lucas Koehler

Constructor Summary
`EMFFormsContextProviderImpl()`

Method Summary
`void` | `dispose()` Dispose.
`org.eclipse.e4.core.contexts.IEclipseContext` | `getContext()` Returns the `IEclipseContext`.
`int` | `getPriority()` Returns the priority for this view service.
`void` | `instantiate(ViewModelContext context)` Instantiate the view service.
`void` | `setContext(org.eclipse.e4.core.contexts.IEclipseContext eclipseContext)` Sets the `IEclipseContext`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsContextProviderImpl

    public EMFFormsContextProviderImpl()

Method Detail

### instantiate

    public void instantiate(ViewModelContext context)

  Instantiate the view service.

  Specified by:
    `instantiate` in interface `ViewModelService`
  Parameters:
    `context` - the `ViewModelContext`
  See Also:
    `ViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### dispose

    public void dispose()

  Dispose.

  Specified by:
    `dispose` in interface `ViewModelService`
  See Also:
    `ViewModelService.dispose()`

### getPriority

    public int getPriority()

  Returns the priority for this view service.

  Specified by:
    `getPriority` in interface `ViewModelService`
  Returns:
    the priority
  See Also:
    `ViewModelService.getPriority()`

### getContext

    public org.eclipse.e4.core.contexts.IEclipseContext getContext()

  Returns the `IEclipseContext`.

  Specified by:
    `getContext` in interface `EMFFormsContextProvider`
  Returns:
    The `IEclipseContext`
  See Also:
    `EMFFormsContextProvider.getContext()`

### setContext

    public void setContext(org.eclipse.e4.core.contexts.IEclipseContext eclipseContext)

  Sets the `IEclipseContext`.

  Specified by:
    `setContext` in interface `EMFFormsContextProvider`
  Parameters:
    `eclipseContext` - The `IEclipseContext`
  See Also:
    `EMFFormsContextProvider.setContext(org.eclipse.e4.core.contexts.IEclipseContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.